Bug 731457 - openais crashes with combo of lossy network and config changes
Summary: openais crashes with combo of lossy network and config changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais
Version: 5.8
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jan Friesse
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 729081
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 17:52 UTC by RHEL Product and Program Management
Modified: 2011-10-26 07:27 UTC (History)
8 users (show)

Fixed In Version: openais-0.80.3-22.el5_3.17
Doc Type: Bug Fix
Doc Text:
Prior to this update, a combination of a lossy network and a large number of configuration changes may have caused OpenAIS to terminate unexpectedly. This update applies a series of patches that resolve this issue so that OpenAIS no longer crashes in the described scenario.
Clone Of:
Environment:
Last Closed: 2011-10-26 07:27:04 UTC


Attachments (Terms of Use)
revision 2169 1/3 patches to fix problem (1.59 KB, patch)
2011-10-03 15:34 UTC, Steven Dake
no flags Details | Diff
revision 2178 2/3 patches to fix problem (470 bytes, patch)
2011-10-03 15:34 UTC, Steven Dake
no flags Details | Diff
revision 2183 3/3 patches to fix problem (1.26 KB, patch)
2011-10-03 15:35 UTC, Steven Dake
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1404 normal SHIPPED_LIVE openais bug fix update 2011-10-26 07:26:59 UTC

Description RHEL Product and Program Management 2011-08-17 17:52:28 UTC
This bug has been copied from bug #729081 and has been proposed
to be backported to 5.3 z-stream (EUS).

Comment 4 Jan Friesse 2011-09-20 11:57:47 UTC
Waiting for resolving of https://bugzilla.redhat.com/show_bug.cgi?id=722522

Comment 5 Jan Friesse 2011-10-03 14:14:48 UTC
Steve,
code in 5.3 is very different from 5.6, 5.7 and 5.8. Can you please work on backport of this totemsrp patches?

Comment 6 Jan Friesse 2011-10-03 14:46:29 UTC
Steve,
for me it looks like we (probably) need 2169 - totemsrp: free messages originated in recovery rather then rely on messages_free. I'm not sure about another consequences and also not sure if this patch doesn't depend on another patches. So maybe rather then working on backporting, can you please consider risk to break 5.3 and maybe rather ignore this (731457) BZ in 5.3?

Comment 7 Steven Dake 2011-10-03 15:33:18 UTC
Honza,

only need 2169 - all of these patches are really just the same issue.  I've attached the patches and put the bug in post.

Comment 8 Steven Dake 2011-10-03 15:34:08 UTC
Created attachment 526087 [details]
revision 2169 1/3 patches to fix problem

Comment 9 Steven Dake 2011-10-03 15:34:52 UTC
Created attachment 526088 [details]
revision 2178 2/3 patches to fix problem

Comment 10 Steven Dake 2011-10-03 15:35:31 UTC
Created attachment 526089 [details]
revision 2183 3/3 patches to fix problem

Comment 11 Jan Friesse 2011-10-03 15:40:15 UTC
Ok,
I will try to give that a little test and build ASAP.

Comment 14 Jaromir Hradilek 2011-10-25 15:50:52 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, a combination of a lossy network and a large number of configuration changes may have caused OpenAIS to terminate unexpectedly. This update applies a series of patches that resolve this issue so that OpenAIS no longer crashes in the described scenario.

Comment 15 errata-xmlrpc 2011-10-26 07:27:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1404.html


Note You need to log in before you can comment on or make changes to this bug.